## wxMutexLocker

This is a small helper class to be used with wxMutex objects. A wxMutexLocker acquires a mutex lock in the constructor and releases (or unlocks) the mutex in the destructor making it much more difficult to forget to release a mutex (which, in general, will promptly lead to serious problems). See wxMutex for an example of wxMutexLocker usage.

Derived from

None.

Include files

<wx/thread.h>

See also

wxMutex, wxCriticalSectionLocker

Members

wxMutexLocker::wxMutexLocker
wxMutexLocker::~wxMutexLocker
wxMutexLocker::IsOk

### wxMutexLocker::wxMutexLocker

wxMutexLocker(wxMutex& mutex)

Constructs a wxMutexLocker object associated with mutex and locks it. Call IsOk to check if the mutex was successfully locked.

### wxMutexLocker::~wxMutexLocker

~wxMutexLocker()

Destructor releases the mutex if it was successfully acquired in the ctor.

### wxMutexLocker::IsOk

bool IsOk() const

Returns true if mutex was acquired in the constructor, false otherwise.